Commit 1cc58b26 authored by Chris Croome's avatar Chris Croome

Tweaks made to the index.shtml file

parent 10dd97e2
Pipeline #3594 canceled with stage
in 11 seconds
......@@ -8,19 +8,21 @@
--><!--#include virtual="/wsh/top.shtml" -->
<p>The packages hosted here are automatically re-compiled versions of the Debian {{ php_distro }} source packages, to mitigate <a href="https://bugs.php.net/bug.php?id=69637">this PHP bug</a>,
they were were built on <!--#config timefmt="%A, %e %B %Y" --><!--#echo var="LAST_MODIFIED" --> and can be accessed via the directory listings for
<a href="/pool/main/a/apache2/">Apache2</a>, <a href="/pool/main/o/openssl/">OpenSSL</a> and <a href="pool/main/p/php{{ php_version }}/">PHP{{ php_version }}</a>,
and they can also be installed using <code>apt</code>, <code>apt-get</code> or <code>aptitude</code>, using the following are instructions.</p>
<p>The packages hosted here are automatically re-compiled (using <a href="https://git.coop/webarch/php">GitLab CI and Ansible</a>) versions of the Debian {{ php_distro }} source packages,
which have been built to mitigate <a href="https://bugs.php.net/bug.php?id=69637">this PHP issue</a>.</p>
<p>The packages were last built on <!--#config timefmt="%A, %e %B %Y" --><!--#echo var="LAST_MODIFIED" --> and can be directly accessed via the directory listings for
<a href="/pool/main/a/apache2/">Apache2</a>, <a href="/pool/main/o/openssl/">OpenSSL</a> and <a href="pool/main/p/php{{ php_version }}/">PHP{{ php_version }}</a>.</p>
<h2 id="install">Install <a href="#install" class="a">#</a></h2>
<p>The following commands all assume you are <code>root</code>, run <code>sudo -i</code> first.
To use the packages in this repo first ensure you have <code>apt-transport-https</code> installed:</p>
<p>The following commands all assume you are <code>root</code>, run <code>sudo -i</code> first.</p>
<p>To use the packages in this repo first ensure you have <code>apt-transport-https</code> installed:</p>
<pre><code class="bash">apt install apt-transport-https</code></pre>
Add <a href="pub.gpg">the public GPG key</a> (ID: <code>{{ php_gpg_id }}</code>) to your machine:</p>
<p>Add <a href="pub.gpg">the public GPG key</a> (ID: <code>{{ php_gpg_id }}</code>) to your machine:</p>
<pre><code class="bash">wget -O - https://{{ php_repo_domain }}/pub.gpg | apt-key add -</code></pre>
......@@ -52,6 +54,6 @@ apt dist-upgrade</code></pre>
<h2 id="code">Code <a href="#code" class="a">#</a></h2>
<p>The code that was used to build the Apache2, OpenSSL and PHP{{ php_version }} packages for Debian {{ php_distro }} and this apt repo is <a href="https://git.coop/webarch/php">available on our GitLab server at git.coop</a>.</p>
<p>The code that was used to build the Apache2, OpenSSL and PHP{{ php_version }} packages for Debian {{ php_distro }} and this APT repo, is <a href="https://git.coop/webarch/php">available on our GitLab server at git.coop</a>.</p>
<!--#include virtual="/wsh/bot.shtml" -->
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment